import { type NvmNodeCommandOptions } from './node';
export interface GetNodeVersionResult {
    nodeVersion: string | null;
    nodeMirrorBaseUrl: string;
    releaseChannel: string;
    versionSpecifier: string;
}
export declare function getNodeVersion(opts: NvmNodeCommandOptions, envSpecifier: string): Promise<GetNodeVersionResult>;
export interface DownloadNodeVersionResult {
    nodeVersion: string;
    nodeDir: string;
    nodeMirrorBaseUrl: string;
}
export declare function downloadNodeVersion(opts: NvmNodeCommandOptions, envSpecifier: string): Promise<DownloadNodeVersionResult | null>;
